Notes
Edit a note
PUT
/
admin
/
notes
/
{note_id}
/
{program_id}
Edit a note
curl --request PUT \
--url https://api.helpyousponsor.com/v1/admin/notes/{note_id}/{program_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"note": "This is a note.",
"categories": "ALL",
"category_id": 1,
"client_id": "1",
"id": 1,
"note_id": 1,
"program_id": "donor"
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/notes/{note_id}/{program_id}"
payload = {
"note": "This is a note.",
"categories": "ALL",
"category_id": 1,
"client_id": "1",
"id": 1,
"note_id": 1,
"program_id": "donor"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: 'This is a note.',
categories: 'ALL',
category_id: 1,
client_id: '1',
id: 1,
note_id: 1,
program_id: 'donor'
})
};
fetch('https://api.helpyousponsor.com/v1/admin/notes/{note_id}/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successful"
}{
"message": "Note not found."
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the note
ID of the program
Example:
"donor"
Body
application/json
Input data format
Response
Successful operation
Success message
Example:
"Successful"
⌘I
Edit a note

